package com.isu.gaswellwatch.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Builder;
import lombok.Data;

import java.util.Date;

@Data
@Builder
public class RemindSetting extends Model<RemindSetting> {

    /* id */
    private Long id;

    /* 设备ID */
    private Long deviceId;

    /* 字段 */
    private String field;

    /* 字段名称 */
    private String fieldName;

    /* 字段类型 */
    private String fieldType;

    /* 字段最小值 */
    private String minValue;

    /* 字段最大值 */
    private String maxValue;

    /* 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /* 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;


}
