package com.isu.gaswellwatch.vo.command.knpcv1;

import com.isu.gaswellwatch.dto.modbus.ModbusCommandDto;
import com.isu.gaswellwatch.vo.command.Command;

import java.io.Serial;
import java.util.Collection;
import java.util.List;

/**
 * @author <a href="mailto:scwsl@foxmail.com">王仕龙</a>
 * 2024/11/26 19:57
 */
public class TurnOff extends Command {
    @Serial
    private static final long serialVersionUID = 6386819878187686032L;

    public TurnOff() {
        this.setCode("KNPCV1.TURN_OFF_THE_WELL");
    }

    @Override
    protected Collection<ModbusCommandDto> builderModbusCommand() {
        return List.of(ModbusCommandDto.builder().command("010500010000").length(16).build());
    }
}
