package com.isu.gaswellwatch.dto;

import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MenuDTO {

    //父节点
    @NotNull(message = "父节点不能为空")
    private Long parent;
    //名称
    @NotNull(message = "名称不能为空")
    private String name;
    //编码
    private String code;
    //图标
    private String icon;
    //顺序
    private Integer sort;
    //外部数据
    private String extra;

    private List<String> identifier;
}
